      subroutine kinetic(n,h,l,r,wfn1,wfn2,del2wfn,dum1,dum2,ekin)
      implicit real*8 (a-h,o-z)
c on input: wfn1(i) and wfn2(i) are radial wfn * r for angular momentum l
c on output: ekin is kinetic energy matrix element in Rydberg units
      dimension r(n),wfn1(n),wfn2(n),del2wfn(n),dum1(n),dum2(n)
      call laplacian(n,h,l,r,wfn2,del2wfn,dum1,dum2)
      ekin=-overlap(n,h,wfn1,del2wfn)
      return
      end
     
